#include "somename.h"
#include <QDateTime>

SomeName::SomeName(QObject *parent) :
    QObject(parent)
{
    mTimer.setInterval(1000);
    mTimer.start();
    connect(&mTimer, SIGNAL(timeout()), this, SLOT(timeout()));
}

QString SomeName::time() const
{
    return mTime;
}

void SomeName::setTime(const QString &time)
{
    if (mTime != time) {
        mTime = time;
        emit timeChanged();
    }
}

void SomeName::timeout()
{
    QDateTime time = QDateTime::currentDateTime();
    setTime(time.toString());
}
