#ifndef SOMENAME_H
#define SOMENAME_H

#include <QObject>
#include <QTimer>

class SomeName : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString time READ time WRITE setTime NOTIFY timeChanged)

public:
    explicit SomeName(QObject *parent = 0);

    QString time() const;
    void setTime(const QString &time);

signals:
    void timeChanged();

private slots:
    void timeout();

private:
    QString mTime;
    QTimer mTimer;

};

#endif // SOMENAME_H
