#include "foobar.h"
#include <QDebug>

Foobar::Foobar()
    : mString("")
{
    mList << "a" << "b" << "c" << "d";
    mMap.insert("foo", "bar");
    mMap.insert("foo2", "bar2");
//    mTimer.singleShot(10000, this, SLOT(timerPing()));
    timerPing();
}

QString Foobar::string() const
{
    return mString;
}

void Foobar::setString(const QString &str)
{
    mString = str;
    qDebug(qPrintable("New string: " + str));
}

void Foobar::timerPing()
{
    mList.append(mList);
    QString str = mList.join(",");
    qDebug(qPrintable(str));

    QStringList list = str.split(",");
    foreach(QString str, list) {
        qDebug(qPrintable(str));
    }

    qDebug(qPrintable(mMap.value("foo")));
    qDebug(qPrintable(mMap.value("fooxyz", "default")));
    foreach(QString key, mMap.keys()) {
        qDebug(qPrintable(mMap.value(key)));
    }


}
