#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QDeclarativeContext>
#include <QDebug>
#include <qdeclarative.h>
#include "somename.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{

    qmlRegisterType<SomeName>("QmlTest", 1, 0, "DateProvider");
    ui->setupUi(this);

    qDebug() << width() << ", " << height();
    QDeclarativeContext *context = ui->declarativeView->rootContext();
    context->setContextProperty("windowWidth", width());
    context->setContextProperty("windowHeight", height());
    context->setContextProperty("someColor", QColor(Qt::blue));
}

MainWindow::~MainWindow()
{
    delete ui;
}
